com.mapinfo.midev.style

## Interface IFillRendition

All Superinterfaces:
  Serializable

    public interface IFillRendition
    extends Serializable

A component of IInterior that describes one rendering pass of an interior of an object. It defines the following interior properties for the rendering pass:

1. the pattern by which the interior is filled (color/paint);
2. the overall fill opacity.

### Field Summary

Fields
`static IFillRendition` `NONE` This constant is used to suppress previous fill renditions in the renderer when drawing in a multi-pass scenario.

### Method Summary

All Methods Instance Methods Abstract Methods
`IFillRendition` `getCopy()` Returns a copy of this style.
`Object` `getFill()` Returns the pattern used to fill the interior of the object.
`Number` `getOpacity()` Returns the opacity of the fill.
`void` `setFill(Color color)` Sets the color used to fill the interior of the object.
`void` `setFill(IPaint paint)` Sets the paint used to fill the interior of the object.
`void` `setOpacity(Number opacity)` Sets the opacity of the fill.

### Field Detail

#### NONE

    static final IFillRendition NONE

This constant is used to suppress previous fill renditions in the renderer when drawing in a multi-pass scenario.

### Method Detail

#### getFill

    Object getFill()

Returns the pattern used to fill the interior of the object. The property value can be either a Color or an IPaint.

Returns:
  The pattern used to fill the interior of the object.

#### setFill

    void setFill(IPaint paint)

Sets the paint used to fill the interior of the object. Setting fill to null IPaint indicates to the renderer to use the parent's value for fill.

Parameters:
  `paint` - the paint to be used to fill the interior of the object.

#### setFill

    void setFill(Color color)

Sets the color used to fill the interior of the object. Setting fill to null Color indicates to the renderer to use the parent's value for fill.

Parameters:
  `color` - the color to be used to fill the interior of the object.

#### getOpacity

    Number getOpacity()

Returns the opacity of the fill. Valid range for opacity value is between 0.0 (fully transparent) and 1.0 (fully opaque).

Returns:
  The opacity of the fill.

#### setOpacity

    void setOpacity(Number opacity)

Sets the opacity of the fill. Valid range for opacity value is between 0.0 (fully transparent) and 1.0 (fully opaque). If opacity is set to a value outside this range, the renderer will clamp all negative values to 0.0, and values greater that 1.0 - to 1.0.

Setting opacity to null indicates to the renderer to use the parent's value for opacity.

Parameters:
  `opacity` - the opacity of the fill.

#### getCopy

    IFillRendition getCopy()

Returns a copy of this style.

Returns:
  a copy of this style.